#!/bin/bash
#
# Environment script for CSPP_NUCAPS
#
# N.B.  User is responsible for lftp in $PATH (unless --quarantine)
#
#module purge
#
# This is how built on thunder, so any dynamic-linked executables
# will need libraries obtained from these modules
#
#module load gcc/4.9.2 hdf/4.2.9 szip/2.1 hdf5/1.8.14 netcdf4/4.4.0
#
# EDIT THIS VARIABLE TO POINT YOUR INSTALLATION. For example,
#
# install_dir=/data/jimd/CSPP_NUCAPS_2_1

install_dir=/data/jimd/CSPP_NUCAPS_2_1


# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
#                                                             #
#  There is nothing for the user to modify below this point   #
#                                                             #
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

test -n "$CSPP_NUCAPS_HOME" || export CSPP_NUCAPS_HOME=$install_dir
test -n "$CSPP_NUCAPS_REVNAME" || export PATH=$CSPP_NUCAPS_HOME/scripts:$PATH

# This is the revision from NOAA/STAR modified for CSPP
#export CSPP_NUCAPS_REVNAME=DAP/v4-1_20170822-DB
export CSPP_NUCAPS_REVNAME=DAP/v4-3_20180716

# Check if we think environment is correct
version=$CSPP_NUCAPS_HOME/$CSPP_NUCAPS_REVNAME
test -d "$version" || echo "CSPP_NUCAPS environment improperly set"
test -d "$version" || echo "Exit shell, edit cspp_nucaps_env.sh and source it"
test -d "$version" && export CSPP_NUCAPS_REVDATE=20190225

